> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Conference recording start

> Start recording the conference. Recording will stop on conference end, or via the Stop Recording command.

**Expected Webhooks:**

- `conference.recording.saved`



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/call-control/conferences.yml post /conferences/{id}/actions/record_start
openapi: 3.1.0
info:
  title: Telnyx Conferences API
  version: 2.0.0
  description: API for Conferences.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /conferences/{id}/actions/record_start:
    post:
      tags:
        - Conference Commands
      summary: Conference recording start
      description: >-
        Start recording the conference. Recording will stop on conference end,
        or via the Stop Recording command.


        **Expected Webhooks:**


        - `conference.recording.saved`
      operationId: StartConferenceRecording
      parameters:
        - name: id
          description: Specifies the conference to record by id or name
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartConferenceRecordingRequest'
      responses:
        '200':
          $ref: '#/components/responses/ConferenceCommandResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '422':
          $ref: '#/components/responses/UnprocessableEntityResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await client.conferences.actions.recordStart('id',
            { format: 'wav' });


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.conferences.actions.record_start(
                id="id",
                format="wav",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Conferences.Actions.RecordStart(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\ttelnyx.ConferenceActionRecordStartParams{\n\t\t\tFormat: telnyx.ConferenceActionRecordStartParamsFormatWav,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.conferences.actions.ActionRecordStartParams;

            import
            com.telnyx.sdk.models.conferences.actions.ActionRecordStartResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionRecordStartParams params = ActionRecordStartParams.builder()
                        .id("id")
                        .format(ActionRecordStartParams.Format.WAV)
                        .build();
                    ActionRecordStartResponse response = client.conferences().actions().recordStart(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response = telnyx.conferences.actions.record_start("id", format_:
            :wav)


            puts(response)
        - lang: CLI
          source: |-
            telnyx conferences:actions record-start \
              --api-key 'My API Key' \
              --id id \
              --format wav
components:
  schemas:
    StartConferenceRecordingRequest:
      type: object
      title: Start Conference Recording Request
      required:
        - format
      properties:
        format:
          description: >-
            The audio file format used when storing the conference recording.
            Can be either `mp3` or `wav`.
          type: string
          enum:
            - wav
            - mp3
          example: mp3
        command_id:
          description: >-
            Use this field to avoid duplicate commands. Telnyx will ignore any
            command with the same `command_id` for the same `conference_id`.
          type: string
          example: 891510ac-f3e4-11e8-af5b-de00688a4901
        channels:
          description: >-
            When `dual`, final audio file will be stereo recorded with the
            conference creator on the first channel, and the rest on the second
            channel.
          enum:
            - single
            - dual
          type: string
          default: single
          example: dual
        play_beep:
          description: If enabled, a beep sound will be played at the start of a recording.
          type: boolean
          example: true
        trim:
          description: >-
            When set to `trim-silence`, silence will be removed from the
            beginning and end of the recording.
          enum:
            - trim-silence
          type: string
          example: trim-silence
        custom_file_name:
          description: >-
            The custom recording file name to be used instead of the default
            `call_leg_id`. Telnyx will still add a Unix timestamp suffix.
          type: string
          minLength: 1
          maxLength: 40
          example: my_recording_file_name
        region:
          $ref: '#/components/schemas/ConferenceRegion'
      example:
        format: wav
        command_id: 891510ac-f3e4-11e8-af5b-de00688a4901
        play_beep: true
    ConferenceRegion:
      description: >-
        Region where the conference data is located. Defaults to the region
        defined in user's data locality settings (Europe or US).
      example: US
      type: string
      enum:
        - Australia
        - Europe
        - Middle East
        - US
    ConferenceCommandResult:
      type: object
      title: Conference Command Result
      required:
        - result
      properties:
        result:
          type: string
          example: ok
      example:
        result: ok
    call-control_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/call-control_Error'
    call-control_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    ConferenceCommandResponse:
      description: Successful response upon making a conference command.
      content:
        application/json:
          schema:
            type: object
            title: Conference Command Response
            properties:
              data:
                $ref: '#/components/schemas/ConferenceCommandResult'
    UnauthorizedResponse:
      description: >-
        Unauthorized. Authentication failed - the required authentication
        headers were either invalid or not included in the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          example:
            errors:
              - code: '10009'
                title: Authentication failed
                detail: >-
                  The required authentication headers were either invalid or not
                  included in the request.
                meta:
                  url: https://developers.telnyx.com/docs/overview/errors/10009
    NotFoundResponse:
      description: >-
        Resource not found. The requested resource does not exist. Common causes
        include: invalid call_control_id, conference not found, audio file not
        found, or recording not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            resource_not_found:
              summary: Generic resource not found
              value:
                errors:
                  - code: '10007'
                    title: Resource not found
                    detail: Resource not found
            conference_not_found:
              summary: Conference not found
              value:
                errors:
                  - code: '90058'
                    title: Invalid conference_id
                    detail: The conference does not exist.
            audio_file_not_found:
              summary: Audio file not found
              value:
                errors:
                  - code: '10005'
                    title: Audio file not found
                    detail: Provided audio file URL couldn't be found.
            recording_not_found:
              summary: Recording not found
              value:
                errors:
                  - code: '10005'
                    title: Recording not found
                    detail: >-
                      The recording could not be found. Please check the
                      recording_id and try again.
                    source:
                      pointer: /recording_id
    UnprocessableEntityResponse:
      description: >-
        Unprocessable entity. The request was well-formed but could not be
        processed due to semantic errors. This includes validation errors,
        invalid parameter values, call state errors, conference errors, queue
        errors, recording/transcription errors, and business logic violations.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            missing_required_parameter:
              summary: Missing required parameter
              value:
                errors:
                  - code: '10004'
                    title: Missing required parameter
                    detail: The 'to' parameter is required and cannot be blank.
                    source:
                      pointer: /to
            invalid_call_control_id:
              summary: Invalid call control ID
              value:
                errors:
                  - code: '90015'
                    title: Invalid Call Control ID
                    detail: The call_control_id provided was not valid.
                    source:
                      pointer: /call_control_id
            call_already_ended:
              summary: Call has already ended
              value:
                errors:
                  - code: '90018'
                    title: Call has already ended
                    detail: This call is no longer active and can't receive commands.
            call_not_answered:
              summary: Call not answered yet
              value:
                errors:
                  - code: '90034'
                    title: Call not answered yet
                    detail: >-
                      This call can't receive this command because it has not
                      been answered yet.
            cannot_record_before_audio_started:
              summary: Cannot record before audio started
              value:
                errors:
                  - code: '90020'
                    title: Call recording triggered before audio started
                    detail: >-
                      Call recording cannot be started until audio has commenced
                      on the call.
            transcription_already_active:
              summary: Transcription already active
              value:
                errors:
                  - code: '90054'
                    title: Call transcription is already in progress
                    detail: Call transcription can not be started more than once.
            ai_assistant_already_active:
              summary: AI Assistant already active
              value:
                errors:
                  - code: '90061'
                    title: AI Assistant is already in progress
                    detail: AI Assistant cannot be started more than once.
            conference_already_ended:
              summary: Conference has already ended
              value:
                errors:
                  - code: '90019'
                    title: Conference has already ended
                    detail: >-
                      This conference is no longer active and can't receive
                      commands.
            conference_name_conflict:
              summary: Conference name conflict
              value:
                errors:
                  - code: '90033'
                    title: Unable to execute command
                    detail: Conference with given name already exists and it's active.
            max_participants_reached:
              summary: Maximum participants reached
              value:
                errors:
                  - code: '90032'
                    title: Maximum number of participants reached
                    detail: >-
                      The maximum allowed value of `max_participants` has been
                      reached at 100.
            queue_full:
              summary: Queue is full
              value:
                errors:
                  - code: '90036'
                    title: Queue full
                    detail: The 'support' queue is full and can't accept more calls.
            call_already_in_queue:
              summary: Call already in queue
              value:
                errors:
                  - code: '90038'
                    title: Call already in queue
                    detail: Call can't be added to a queue it's already in.
            invalid_connection_id:
              summary: Invalid connection ID
              value:
                errors:
                  - code: '10015'
                    title: Invalid value for connection_id (Call Control App ID)
                    detail: >-
                      The requested connection_id (Call Control App ID) is
                      either invalid or does not exist. Only Call Control Apps
                      with valid webhook URL are accepted.
                    source:
                      pointer: /connection_id
            invalid_phone_number_format:
              summary: Invalid phone number format
              value:
                errors:
                  - code: '10016'
                    title: Phone number must be in +E164 format
                    detail: The 'to' parameter must be in E164 format.
                    source:
                      pointer: /to
            srtp_not_supported_for_pstn:
              summary: SRTP not supported for PSTN calls
              value:
                errors:
                  - source:
                      pointer: /media_encryption
                    title: Media encryption not supported for PSTN calls
                    detail: SRTP media encryption is not supported for PSTN calls.
                    code: '10011'
            fork_not_found:
              summary: Call is not forked
              value:
                errors:
                  - code: '90031'
                    title: Call is not currently forked
                    detail: >-
                      Can't stop forking, because the call isn't currently
                      forked.
            media_streaming_used:
              summary: Media streaming in use
              value:
                errors:
                  - code: '90045'
                    title: Media Streaming is used
                    detail: This command can't be issued when media streaming is used.
            invalid_enumerated_value:
              summary: Invalid enumerated value
              value:
                errors:
                  - code: '10032'
                    title: Invalid enumerated value
                    detail: 'The value must be one of: dual, single.'
                    source:
                      pointer: /record_channels
            value_outside_range:
              summary: Value outside of range
              value:
                errors:
                  - code: '10033'
                    title: Value outside of range
                    detail: The value is outside of allowed range 1 to 5000
                    source:
                      pointer: /max_participants
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````